<?php
// +-----------------------------------------------------------------------+
// | Memories for Piwigo by TEMMII                                         |
// +-----------------------------------------------------------------------+
// | Copyright(C) 2020-2021 ddtddt               http://temmii.com/piwigo/ |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $page, $user, $conf, $template;
$confpfoya = safe_unserialize($conf['pfoya']);

$page_save = $page;
$tpl_save = $template->get_template_vars('THUMBNAILS');
$pfoyanip = $confpfoya['pfoya_nip'];
$datepfoya = $confpfoya['pfoya_dateb'];


if (script_basename() == 'picture'
  or ($datas['cat_display'] == 'wo_thumb' and !empty($page['items']))
  or ($datas['cat_display'] == 'w_thumb' and empty($page['items']) and isset($page['category']))
  or ($datas['cat_display'] == 'selected_cats' and isset($page['category']) and !in_array($page['category']['id'], $datas['cat_selection'])))
{
  return false;
}

	if($confpfoya['pfoya_datemax']>1 and $confpfoya['pfoya_showps']!=0)$template->assign('pfoya','a');
	$template->assign('renewpfoya',realpath(PFOYA_PATH.'blockhome/main.inc.php'));
	if (isset($_SESSION['memodate'])) {
	  $daydate=date("Y-m-d", strtotime('-'.$_SESSION['memodate'].' year'));
	}else{
	  $daydate=date("Y-m-d", strtotime('-1 year'));
	}
	$template->clear_assign('pfoyas');
	for ($i = 1; $i <= $confpfoya['pfoya_datemax']; $i++) {
	$daydate2=date("Y-m-d", strtotime('-'.$i.' year'));
	  $query = '
		SELECT COUNT(DISTINCT(i.id)) as count 
		FROM '.IMAGES_TABLE.' AS i
		INNER JOIN '.IMAGE_CATEGORY_TABLE.' AS ic ON i.id = ic.image_id
		INNER JOIN '.CATEGORIES_TABLE.' AS c ON ic.category_id = c.id 
		WHERE ' .  
		  get_sql_condition_FandF(
			array(
			  'forbidden_categories' => 'category_id',
			  'visible_categories' => 'category_id',
			  'visible_images' => 'image_id',
			  ),
			'', true
			);
	  if (isset($page['category'])){
		$query .= '
			AND ( c.uppercats LIKE \''.$page['category']['uppercats'].',%\' OR c.id = '.$page['category']['id'].' )
		';
	  }
	  $query .= '
		and DATE ('.$datepfoya.') ="'.$daydate2.'";';

	  $row = pwg_db_fetch_assoc(pwg_query($query));
	
	  $items['NB_IMAGES']=$row['count'];
	  if($confpfoya['pfoya_showps']==1){
		if ($i == 1){
		  $items['URL']=make_index_url(array('section' => 'memories-1-year-ago'));
		}else{
		  $items['URL']=make_index_url(array('section' => 'memories-'.$i.'-years-ago'));
		}
	  }
	  if ($i == 1){
		$items['LABEL']=l10n('1 year ago');
	  }else{
		$items['LABEL']=l10n('%d years ago',$i);
	  }
	  if($confpfoya['pfoya_showps']==2){
			$items['URL']=$_SERVER["REQUEST_URI"];
	  }
	  $items['MEMODATE']=$i;
	  $template->append('pfoyas', $items);
	}

 $query = '
SELECT DISTINCT(i.id)
  FROM '.IMAGES_TABLE.' AS i
    INNER JOIN '.IMAGE_CATEGORY_TABLE.' AS ic ON i.id = ic.image_id
    INNER JOIN '.CATEGORIES_TABLE.' AS c ON ic.category_id = c.id ';

 $query .= 'WHERE ' .  
      get_sql_condition_FandF(
        array(
          'forbidden_categories' => 'category_id',
          'visible_categories' => 'category_id',
          'visible_images' => 'image_id',
          ),
        '', true
        );
  $query .= '
       and DATE ('.$datepfoya.') ="'.$daydate.'"';

if (isset($page['category'])){
  $query .= '
        AND ( c.uppercats LIKE \''.$page['category']['uppercats'].',%\' OR c.id = '.$page['category']['id'].' )
  ';
}
  $query .= '
    LIMIT 0, '.$pfoyanip.'
  ;';
if(empty($query)){
	if($_SESSION['memodate']<$confpfoya['pfoya_nip']){
		$_SESSION['memodate']+=1;
		redirect($_SERVER["REQUEST_URI"]);
	}
}
  
  
    $page['items'] = array_from_query($query, 'id');
	$page['start'] = 0;
	$page['section'] = 'memories-1-year-ago';
	$page['nb_image_page']=$pfoyanip;



$tpl_thumbnails_var = array();
$pwg_stuffs_tpl_thumbnails_var = & $tpl_thumbnails_var;
include(PHPWG_ROOT_PATH.'include/category_default.inc.php');

if (empty($pwg_stuffs_tpl_thumbnails_var)){
  $template->assign('NOPHOTOPFOYA','b');
}
  $template->assign('pfoyadata',l10n('Photos from').' '.format_date($daydate));
  $block['thumbnails'] = $pwg_stuffs_tpl_thumbnails_var;
  $block['derivative_params'] = ImageStdParams::get_by_type(IMG_THUMB);
  $block['TEMPLATE'] = realpath(PFOYA_PATH.'/blockhome/stuffs_homepfoya.tpl');
$page = $page_save;
$template->assign('THUMBNAILS', $tpl_save);

?>